<div class="content" *ngIf="visibled">
<div class="logo-header">
    <div class="logo">
      <a><img src="../../../assets/img/logo-dorado.png" alt="alki" load="lazy"/></a>
    </div>
  </div>
  <div class="login" *ngIf="formLogin">
    <form method="post">
      <div class="loaging" *ngIf="spinner"><mat-spinner></mat-spinner></div>
      <h1>{{titleForm}}</h1>
      <label for="correo">Correo electrónico</label><br/>
      <input type="text" [(ngModel)]="user.correo" name="correo" id="correo" onkeydown="return /[a-zA-Z0-9@.]/i.test(event.key)" maxlength="100" required autofocus/><br/>
      <label for="password" >Contraseña</label><br/>
      <input type="password" [(ngModel)]="user.password" name="password" id="password" onkeydown="return /[a-zA-Z0-9!#$%*]/i.test(event.key)" maxlength="10" required autofocus/><br/>
      <div class="botones-recuperar-email">
        <button (click)="login()"><span>{{textButtonLogin}}</span></button>
        <button (click)="restaurar()"><span>Recuperar cuenta</span></button>
      </div>
    </form>
  </div>
  <div class="login" *ngIf="formRecuperar">
    <form method="post">
      <h1>{{titleFormRecuperar}}</h1>
      <label for="correo">Correo electrónico</label><br/>
      <input type="text" [(ngModel)]="user.correo" name="correo" id="correo" onkeydown="return /[a-zA-Z0-9@.]/i.test(event.key)" maxlength="100" required autofocus/><br/>
      <div class="botones-recuperar-email">
      <button (click)="recuperar()"><span>{{textButtonRecuperar}}</span></button>
      <button (click)="iniciarSesion()"><span>Iniciar sesión</span></button>
      </div>
    </form>
  </div>
</div>
<div class="area" *ngIf="visibled">
  <ul class="circles">
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
          <li></li>
  </ul>
</div>